# $Revision: 1.23 $, $Date: 2002/09/17 23:19:08 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Locale
%define	pnam	Maketext
Summary:	Locale::Maketext - framework for localization
Summary(pl):	Locale::Maketext - szkielet do lokalizacji programw
Name:		perl-Locale-Maketext
Version:	1.03
Release:	6
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
%if %{?_without_test:0}%{!?_without_test:1}
BuildRequires:	perl-I18N-LangTags
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It is a common feature of applications (whether run directly, or via the
Web) for them to be "localized" -- i.e., for them to a present an English
interface to an English- speaker, a German interface to a German-speaker,
and so on for all languages it's programmed with.

Locale::Maketext is a framework for software localization; it provides
you with the tools for organizing and accessing the bits of text and
text-processing code that you need for producing localized applications.

%description -l pl
Czsto spotykan cech programw (uruchamianych bezporednio lub przez WWW)
jest ich lokalizacja, czyli umiejtno prezentowania angielskiego interfejsu
uytkownikowi anglojzycznemu, niemiekiego -- niemieckojzycznemu i tak dalej
dla wszystkich jzykw, dla ktrych istniej tumaczenia.

Locale::Maketext jest szkieletem do tworzenia zlokalizowanych programw;
udostpnia Ci narzdzia do organizowania i odwoywania si do fragmentw
tekstu, oraz potrzebnego Ci przy tworzeniu zlokalizowanego oprogramowania
kodu przetwarzajcego tekst.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%dir %{perl_sitelib}/Locale/Maketext
%{perl_sitelib}/Locale/Maketext.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Locale-Maketext.spec,v $
Revision 1.23  2002/09/17 23:19:08  ankry
- added %%{perl_sitelib}/Locale/Maketext dir for submodules in other packages
- cleaning, release 6

Revision 1.22  2002/08/16 23:28:54  radek
- provided informative summary/description
- new %%doc, conditional tests, fixed License field, release 5

Revision 1.21  2002/07/10 08:47:52  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:32:36  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:17:51  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:28:22  depesz
adapterized

Revision 1.15  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:18  mis
- buildarch noarch; release++

Revision 1.13  2001/06/24 20:14:41  mis
- autoupdated to 1.03

Revision 1.12  2001/05/28 16:51:25  mis
- autoupdated to 1.01

Revision 1.11  2001/04/17 12:11:46  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/11 01:48:53  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/09/05 00:51:55  kloczek
- updated to 0.18.

Revision 1.7  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:38  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 00:14:06  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:55  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 21:11:55  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
